<?php
/**
* @version 			SEBLOD 3.x Core
* @package			SEBLOD (App Builder & CCK) // SEBLOD nano (Form Builder)
* @url				http://www.seblod.com
* @editor			Octopoos - www.octopoos.com
* @copyright		Copyright (C) 2013 SEBLOD. All Rights Reserved.
* @license 			GNU General Public License version 2 or later; see _LICENSE.php
**/

// var_dump($this->item->storage);die();

defined( '_JEXEC' ) or die;

JCckDev::forceStorage();
JCckDev::initScript( 'field', $this->item, array( 'hasOptions'=>true, 'doTranslation'=>1, 'customAttr'=>JCck::getConfig_Param( 'development_attr', 6 ) ) );
$options	=	JCckDev::fromSTRING( $this->item->options );
$options2	=	JCckDev::fromJSON( $this->item->options2 );
// var_dump($options2);die();
?>

<div class="seblod">
    <?php echo JCckDev::renderLegend( JText::_( 'COM_CCK_CONSTRUCTION' ), JText::_( 'PLG_CCK_FIELD_'.$this->item->type.'_DESC' ) ); ?>
    <ul class="adminformlist adminformlist-2cols">
        <?php
        echo JCckDev::renderForm( 'core_label', $this->item->label, $config );
        echo JCckDev::renderForm( 'core_sorting', $this->item->sorting, $config );
		echo JCckDev::renderForm( 'core_rows', $this->item->rows, $config );
		//echo JCckDev::renderForm( 'core_options', $options, $config );
        echo JCckDev::renderForm( 'core_separator', $this->item->divider, $config );
	
	echo JCckDev::renderForm( 'art_catid',@$options2['catid'],$config);

        $db			=& JFactory::getDBO();

	$query="SELECT DISTINCT(cat.id) AS value, cat.title AS text FROM #__categories AS cat WHERE published = 1 AND extension='com_content' ORDER BY title ASC";
	$db->setQuery($query);
	$cat  = $db->loadObjectList();
	$selectCat = '<li><label>'.Jtext::_('PLG_CCK_FIELD_'.$this->item->type.'_CATLINKING').'</label><select class="linkingCategory" id="json_options2_linkingcategory" name="json[options2][linkingcategory]">' ;
	foreach($cat as $c){
		$selectCat .= '<option value="'.$c->value.'" '. ($c->value == $options2['linkingcategory'] ? 'selected' : '' ) .' >'.$c->text.'</option>';
	}
	$selectCat .= '</select></li>';	
	
        $query="SELECT ty.name, ty.title, GROUP_CONCAT( DISTINCT (
  tf.fieldid
  ) ) , GROUP_CONCAT( DISTINCT (
  f.name
  ) )
  FROM #__cck_core_types AS ty
  INNER JOIN #__cck_core_types AS ty2 ON ( ty.storage_location = ty2.storage_location
  AND (
  ty2.name LIKE  'article'
  ) )
  INNER JOIN #__cck_core_type_field AS tf ON ( ty.id = tf.typeid
  OR ty2.id = tf.typeid )
  INNER JOIN #__cck_core_fields AS f ON ( f.id = tf.fieldid
  AND f.Storage LIKE  'standard' )
  GROUP BY ty.name
  ORDER BY ty.name
  LIMIT 0 , 30";
        $db->setQuery($query);
        $result = $db->loadRowList();
        	
//         var_dump($result);die();
        $selectCtLinked1  = '<li><label>'.JText::_( 'PLG_CCK_FIELD_'.$this->item->type.'_CTYPELINKED').'</label><select class="contentTypeLinked1" id="json_options2_content_type_linked1" name="json[options2][content_type_linked1]">';
        foreach($result AS $ct){
        	
        	$selectCtLinked1 .= '<option value="'.$ct[0].'" '. ( $ct[0] == $options2['content_type_linked1'] ? 'selected' : '' ) .' >'.$ct[1].'</option>';
        }
        $selectCtLinked1 .= '</select></li>';
        
        
        $selectCtLinked2  = '<li><label>'.JText::_( 'PLG_CCK_FIELD_'.$this->item->type.'_CTYPELINKED2').'</label><select class="content_type_linked2" name="json[options2][content_type_linked2]">';
        foreach($result AS $ct){
			$selectCtLinked2 .= '<option value="'.$ct[0].'" '. ( $ct[0] == $options2['content_type_linked2'] ? 'selected' : '' ) .' >'.$ct[1].'</option>';
		}
		$selectCtLinked2 .= '</select></li>';
        
		$hidden = $hidden2 = '';
		$selectCtLinking  = '<li><label>'.JText::_( 'PLG_CCK_FIELD_'.$this->item->type.'_CTYPELINKING').'</label><select class="content_type_linking" name="json[options2][content_type_linking]">';
		foreach($result AS $ct){
			$selectCtLinking .= '<option value="'.$ct[0].'" '. ( $ct[0] == $options2['content_type_linking'] ? 'selected' : '' ) .'>'.$ct[1].'</option>';
			$hidden	.=	'<li id="fieldlinking1_'.$ct[0].'" class="fieldlinking fieldlinking1 fieldlinking_'.$ct[0].'" ><label>'.JText::_( 'PLG_CCK_FIELD_'.$this->item->type.'_FIELDLINKING1').'</label><select class="fieldLinking">';
			
			$hidden2	.=	'<li id="fieldlinking2_'.$ct[0].'" class="fieldlinking fieldlinking2 fieldlinking_'.$ct[0].'" ><label>'.JText::_( 'PLG_CCK_FIELD_'.$this->item->type.'_FIELDLINKING2').'</label><select class="fieldLinking">';
			
			$fieldids = explode(',',$ct[2]);
			$names = explode(',',$ct[3]);
			$fields = array_combine($names, $fieldids);
			ksort($fields);
			foreach($fields as $name => $fieldid){
				$hidden .= '<option value="'.$fieldid .'" '. ( $fieldid == $options2['field_linking1'] ? ' selected ' : '' ) .'>'.$name.'</option>';
				$hidden2 .= '<option value="'.$fieldid.'" '. ( $fieldid == $options2['field_linking2'] ? ' selected ' : '' ) .'>'.$name.'</option>';
			}
		
			$hidden.='</select></li>';
			$hidden2.='</select></li>';
		}
		$selectCtLinking .= '</select></li>';
		
		echo $selectCtLinked1;
		echo $hidden;
		echo $selectCtLinked2;
		echo $hidden2;
		echo $selectCtLinking;
		echo $selectCat;

// 		echo JCckDev::renderForm( 'core_content_type', @$options2['contentTypeLinked'], $config,array('label'=>'Type de contenu de liaison' ));
        
                
        echo JCckDev::renderSpacer( JText::_( 'COM_CCK_STORAGE' ), JText::_( 'COM_CCK_STORAGE_DESC' ) );
        echo JCckDev::getForm( 'core_storage', $this->item->storage, $config );
        ?>
	</ul>
</div>

<script type="text/javascript">
jQuery(document).ready(function($) {

	jQuery('.fieldlinking').hide()
	if(jQuery('.content_type_linking').val()){
		jQuery('.fieldlinking_'+jQuery('.content_type_linking').val()).show();
		jQuery('.fieldlinking1.fieldlinking_'+jQuery('.content_type_linking').val()+' select').attr('name','json[options2][field_linking1]');
		jQuery('.fieldlinking2.fieldlinking_'+jQuery('.content_type_linking').val()+' select').attr('name','json[options2][field_linking2]');
	}

	jQuery('.content_type_linking').change(function(){
		jQuery('.fieldlinking').hide();
		jQuery('.fieldlinking_'+jQuery(this).val()).show();
		jQuery('.fieldlinking1.fieldlinking_'+jQuery('.content_type_linking').val()+' select').attr('name','json[options2][field_linking1]');
                jQuery('.fieldlinking2.fieldlinking_'+jQuery('.content_type_linking').val()+' select').attr('name','json[options2][field_linking2]');
		});

	
	$('#json_options2_query').isVisibleWhen('bool2','1');
	$('#json_options2_table, #json_options2_name, #json_options2_value, #json_options2_where, #json_options2_orderby, #json_options2_limit, #json_options2_attr1, #blank_li').isVisibleWhen('bool2','0');
	$('#rows, #divider').isVisibleWhen('bool3','1');
	$('#sortable_core_options').isVisibleWhen('bool4','1,2');
	$('.custom_attr_mapping').toggle();
	$("#adminForm").on("click", "#custom_attr_toggle", function() {
		$('.custom_attr_mapping').toggle();
	});
});
</script>
